Referenceskillsets
Set the skillset's items
Path Parameters
ownerHandle*string
Length
length <= 64slug*string
Length
length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/skillsets/string/string/items" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "itemType": "skill", "ref": "string" } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "owner": { "type": "user", "handle": "string" }, "slug": "string", "displayName": "string", "description": "string", "isOrgDefault": true, "items": [ { "itemType": "skill", "ref": "string", "range": "latest" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "FORBIDDEN", "status": 403, "message": "You do not have permission to perform this action.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}